%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
    %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
    %endif

Name:           memaker
Version:        20100110
Release:        10%{?dist}
Summary:        An avatar creator

Group:          Amusements/Graphics
License:        GPLv3+
URL:            https://launchpad.net/memaker 

# tar created from a bzr 
#
# bzr branch lp:memaker && tar -czvf memaker-20100110-bzr.tar.gz memaker
Source0:        %{name}-%{version}-bzr.tar.gz
Patch0:         %{name}-pillow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#BuildRequires:  gettext
BuildRequires:  python2-devel python-distutils-extra redhat-lsb intltool
BuildRequires:  desktop-file-utils
Requires:       gnome-python2-rsvg notify-python numpy python-imaging 
Requires:       gnome-python2-gnomevfs

%description
MeMaker gives users a wide variety of images that, when placed 
together, create an avatar. This avatar is intended to represent 
the way that this person is in some way. The goal of the project 
is to have enough images that anyone can create an image that 
they feel would closely represent them without having to use a photo
in the image itself.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# not copied by setup script
cp -av data/labels $RPM_BUILD_ROOT/%{_datadir}/%{name}/

# icons and desktop files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
./build/share/applications/%{name}.desktop

cp -av data/icons/scalable/apps/%{name}.svg $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps/
cp -av data/icons/48x48/apps/%{name}.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/

for lib in $RPM_BUILD_ROOT%{python_sitelib}/MeMaker/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in $RPM_BUILD_ROOT%{python_sitelib}/MeMaker/utils/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in $RPM_BUILD_ROOT%{python_sitelib}/MeMaker/view/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
BugReportURL: https://bugs.launchpad.net/memaker/+bug/1243602
SentUpstream: 2013-10-23
-->
<application>
 <id type="desktop">memaker.desktop</id>
 <metadata_license>CC0-1.0</metadata_license>
 <name>Memaker</name>
 <summary>An avatar creator</summary>
 <description>
  <p>
    MeMaker gives users a wide variety of images that, when placed
    together, create an avatar. This avatar is intended to represent
    the way that this person is in some way. The goal of the project
    is to have enough images that anyone can create an image that
    they feel would closely represent them without having to use a photo
    in the image itself.
  </p>
  <p>
    MeMaker is a nifty little tool that takes packages of theme avatar
    features and easily places them together to make an avatar of your
    liking. Features include Hair, Faces, Eyes, even Glasses and
    Accessories like hats and earings.
  </p>
 </description>
 <!-- No screenshots -->
 <url type="homepage">https://launchpad.net/memaker</url>
 <updatecontact>encompass@gmail.com</updatecontact>
</application>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{python_sitelib}/MeMaker/
%{python_sitelib}/%{name}-?.?-py?.?.egg-info
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop 


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20100110-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100110-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 20100110-8
- Add an AppData file for the software center

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100110-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100110-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jan 30 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 20100110-5
- Add patch for Pillow. Thanks Toshio.
- rhbz #895289

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100110-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 07 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20100110-3
- https://bugzilla.redhat.com/show_bug.cgi?id=772346
- Add requires

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20100110-2
- spec bump for gcc 4.7 rebuild

* Mon May 09 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20100110-1
- Correcting the directory ownership
- #608319
- replaced "memaker" with name macro 
- changed cp -v to cp -av to preserve timestamps
- update to upstream dev 

* Tue Jun 22 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.5-1
- initial rpm build
